<?php 

Class webApiController {
    
    # funcion para el consumo de api de reserva alojada en el server
    public function boletoWebApiController($arrayReserva) {
        
        # Se convierte el arreglo a JSON
        $arrayReserva = json_encode($arrayReserva);
        
        # URL de la api a consumir
        $ch = curl_init('https://api.boletosqubit.co/prod/Applications/services/');
        # Se define la cabecera con el token de autorizacion
        $header = [
            'Authorization: MzRVU1BWVUFURThLWDE4MElDTFVUMDNDTzpQSHozZitnMzNiNFpHc1R3dEtOQ2h0NzhBejNpSjdwWTIwREo5N0R2L1g4',
            'Content-Type: text/plain; charset=utf-8',
        ];
        
        # Se definen los atributos a la peticion
        curl_setopt($ch, CURLOPT_HTTPHEADER, $header);				
        
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        
        curl_setopt($ch, CURLOPT_POST, 1);
        
        curl_setopt($ch, CURLOPT_POSTFIELDS, $arrayReserva);
        
        curl_setopt($ch, CURLOPT_VERBOSE, TRUE);
        
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        
        // execute!
        
        $response = curl_exec($ch);
        
        if (curl_errno($ch)) {
            
            return "¡Error de ejecuci&oacute;n!";
            
        } else {
            
            curl_close($ch);
            
            return json_decode($response,TRUE);
        }
    }
    
}


?>